#!/bin/bash

HOME=`dirname "$0"`
HOME=`cd "$HOME"; pwd -P`
LIB=$HOME/lib
CP=$LIB/scala-library-2.13.16.jar:$LIB/rsyntaxtextarea-3.6.0.jar:$LIB/jsoup-1.21.2.jar:$LIB/scala-parser-combinators_2.13-2.4.0.jar:$LIB/commons-net-3.12.0.jar:$LIB/flatlaf-3.6.1.jar:$LIB/commons-io-2.20.0.jar:$LIB/jinput.jar:$LIB/kernal64.jar
if [ ! -x $JAVA_HOME/bin/java ]; then
        JAVA=java
else
        JAVA=$JAVA_HOME/bin/java
fi
$JAVA -server -Xms64M -Xmx256M -cp $CP -Djava.library.path=$LIB ucesoft.cbm.scpu.SCPUC64 "$@"